Bug 1405178 - Duplicate Automate Schema entries doesn't show errors
Summary: Duplicate Automate Schema entries doesn't show errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Martin Povolny
QA Contact: Milan Falešník
URL:
Whiteboard: automate
Depends On:
Blocks: 1446779
TreeView+ depends on / blocked
 
Reported: 2016-12-15 19:30 UTC by mkanoor
Modified: 2017-05-31 14:32 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1446779 (view as bug list)
Environment:
Last Closed: 2017-05-31 14:32:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
screenshot (245.80 KB, image/png)
2016-12-15 19:30 UTC, mkanoor
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description mkanoor 2016-12-15 19:30:46 UTC
Created attachment 1232311 [details]
screenshot

Description of problem:
In the Automate Class Schema when duplicate entries are added 
there is no error message from the UI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Edit a Automate class schema
2. Add a duplicate entry, same name, type, datatype
3. Hit the Save Button

Actual results:
The UI doesn't display error messages.
In the evm.log we see the error message
[2016-12-15T14:25:18.986768 #3778:3fed1c1ed630] ERROR -- : MIQ(miq_ae_class_controlle     r-update_fields): Error during 'save': Name has already been taken

Expected results:
The UI should display the "Name has already been taken"



Additional info:

Comment 2 Harpreet Kataria 2016-12-15 19:39:07 UTC
Martin,

Removing div_num from flash_msg_div in 52aa32109ba182b3262a80f9c3899ab35d15de04 from several files from miq_ae_class view files is causing this issue. Can you please look into this.
Maybe one solution is to have only single flash_msg_div in the DOM rather than having it on each tab individually. We can discuss if needed.

Thanks,
~Harpreet

Comment 3 Martin Povolny 2017-03-24 13:54:38 UTC
Harpreet: the form is massively broken. When editing, class_fields_div is created inside class_fields div, each row has at least 2 elements with duplicate DOM ID and yes, also flash_messages are present multiple times on the screen.

The structure of the form needs fixing before the flash can be fixed.

Comment 5 Milan Falešník 2017-03-30 09:22:24 UTC
Verified in 5.8.0.8.

It is not possible to add duplicate schema fields into the class schema definition.

Comment 10 errata-xmlrpc 2017-05-31 14:32:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.